// 基础设置api

import request from "@/utils/request";

// 查看基础设置
export const getBaseSetInfo = (data) => {
  return request({
    url: "/sampleform/baseset/list",
    method: "post",
    data,
  });
};
// 保存基础设置
export const saveBaseSet = (data) => {
  return request({
    url: "/sampleform/baseset/save",
    method: "post",
    data,
  });
};
// 查询应用列表
export const getAppList = (data) => {
  return request({
    url: "/sampleform/app/config/list",
    method: "post",
    data,
  });
};

// 删除应用
export const delApp = (params) => {
  return request({
    url: "/sampleform/app/config/delete",
    method: "get",
    params,
  });
};

// 保存应用
export const saveApp = (data) => {
  return request({
    url: "/sampleform/app/config/save",
    method: "post",
    data,
  });
};

// 批量保存应用
export const batchSaveApp = (data) => {
  return request({
    url: "/sampleform/app/config/batchSave",
    method: "post",
    data,
  });
};
